/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.different;

/**
 * 变化的情况，目前只有三种情况，新增，修改，删除
 * 
 * @author luoguo
 * 
 * @param <T>
 */
public final class DataWithOperation<T> {
	public static final byte ADD = 'a';
	public static final byte MODIFY = 'm';
	public static final byte REMOVE = 'r';
	private byte operation;
	private T data;

	/**
	 * 构造函数
	 * 
	 * @param operation
	 *            变化的方式
	 * @param data
	 *            变化的数据
	 */
	public DataWithOperation(byte operation, T data) {
		this.operation = operation;
		this.data = data;
	}

	public byte getOperation() {
		return operation;
	}

	public T getData() {
		return data;
	}

}
